Package org.eclipse.gef.fx.jface

# Class FXPaintCellEditor

java.lang.Object
org.eclipse.jface.viewers.CellEditor
org.eclipse.jface.viewers.DialogCellEditor
org.eclipse.gef.fx.jface.FXPaintCellEditor

public class FXPaintCellEditor extends DialogCellEditor
The `FXPaintCellEditor` is a `DialogCellEditor` that is capable of displaying a currently selected `Color` and of changing that color via a dialog.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor

`CellEditor.LayoutData`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.DialogCellEditor

`CELL_EDITOR_IMG_DOTS_BUTTON`

### Fields inherited from class org.eclipse.jface.viewers.CellEditor

`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

## Constructor Summary

Constructors
Constructor
Description
`FXPaintCellEditor(Composite parent)`
Constructs a new `FXPaintCellEditor`.
`FXPaintCellEditor(Composite parent, int style)`
Constructs a new `FXPaintCellEditor`.

## Method Summary

Modifier and Type
Method
Description
`protected ImageData`
`createPaintImage(Control w, javafx.scene.paint.Paint paint)`
Creates an `ImageData` filled with the given `Paint`.
`void`
`dispose()`
`protected void`
`doSetValue(Object value)`
`protected Object`
`openDialogBox(Control cellEditorWindow)`
`protected void`
`updateContents(Object value)`

### Methods inherited from class org.eclipse.jface.viewers.DialogCellEditor

`createButton, createContents, createControl, deactivate, doGetValue, doSetFocus, getDefaultLabel`

### Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, activate, addListener, addPropertyChangeListener, create, deactivate, dependsOnExternalFocusListener, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getDoubleClickTimeout, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCorrect, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, keyReleaseOccured, markDirty, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FXPaintCellEditor

public FXPaintCellEditor(Composite parent)
Constructs a new `FXPaintCellEditor`.

Parameters:
  `parent` - The parent `Composite`.

### FXPaintCellEditor

public FXPaintCellEditor(Composite parent, int style)
Constructs a new `FXPaintCellEditor`.

Parameters:
  `parent` - The parent `Composite`.
  `style` - The SWT style for this control.

## Method Details

### createPaintImage

protected ImageData createPaintImage(Control w, javafx.scene.paint.Paint paint)
Creates an `ImageData` filled with the given `Paint`. The size of the `ImageData` is computed so that the cell (in the property sheet table) is fully filled.

Parameters:
  `w` - The property sheet control.
  `paint` - The `Paint` to use for filling the `ImageData`.
Returns:
  The filled `ImageData`.

### dispose

public void dispose()

Overrides:
  `dispose` in class `CellEditor`

### doSetValue

protected void doSetValue(Object value)

Overrides:
  `doSetValue` in class `DialogCellEditor`

### openDialogBox

protected Object openDialogBox(Control cellEditorWindow)

Specified by:
  `openDialogBox` in class `DialogCellEditor`

### updateContents

protected void updateContents(Object value)

Overrides:
  `updateContents` in class `DialogCellEditor`